Remi's RPM repository - Packages

Blog | Forum | Repository | Wizard

php-oci8 - A module for PHP applications that use OCI8 databases

Website:
http://www.php.net/
Licence:
PHP
Vendor:
Remi Collet
Description:
The php-oci8 packages provides the OCI8 extension version 2.0.12
and the PDO driver to access Oracle Database.

The extension is linked with Oracle client libraries 18.3
(Oracle Instant Client).  For details, see Oracle's note
"Oracle Client / Server Interoperability Support" (ID 207303.1).

You must install libclntsh.so.18.1 to use this package, provided
in the database installation, or in the free Oracle Instant Client
available from Oracle.

Notice:
- php-oci8 provides oci8 and pdo_oci extensions from php sources.
- php-pecl-oci8 only provides oci8 extension.

Documentation is at http://php.net/oci8 and http://php.net/pdo_oci

Packages

php-oci8-5.6.40-14.el6.remi.x86_64 [138 KiB] Changelog by Remi Collet (2019-10-22):
- FPM:
  Fix CVE-2019-11043 env_path_info underflow in fpm_main.c
php-oci8-5.6.40-13.el6.remi.x86_64 [138 KiB] Changelog by Remi Collet (2019-08-28):
- mbstring:
  Fix CVE-2019-13224 don't allow different encodings for onig_new_deluxe
- pcre:
  Fix #75457 heap use-after-free in pcrelib